import { ConstructFactory, ConstructFactoryGetInstanceProps } from '@aws-amplify/plugin-types';
import { AmplifyStorage, AmplifyStorageProps } from '@aws-amplify/storage-construct-alpha';
/**
 * Singleton factory for a Storage bucket that can be used in `storage.ts` files
 */
export declare class AmplifyStorageFactory implements ConstructFactory<AmplifyStorage> {
    private readonly props;
    private generator;
    private readonly importStack;
    /**
     * Set the properties that will be used to initialize the bucket
     */
    constructor(props: AmplifyStorageProps);
    /**
     * Get a singleton instance of the Bucket
     */
    getInstance: ({ constructContainer, outputStorageStrategy, importPathVerifier, }: ConstructFactoryGetInstanceProps) => AmplifyStorage;
}
/**
 * Alias for AmplifyStorageFactory
 */
export declare const Storage: typeof AmplifyStorageFactory;
//# sourceMappingURL=factory.d.ts.map